org.appng.openapi.model

## Class Permission

- java.lang.Object
- - org.appng.openapi.model.Permission

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Permission
      extends Object

  A permission.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Permission.ModeEnum` The mode

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_MODE`
    `static String` | `JSON_PROPERTY_REF`
    `static String` | `JSON_PROPERTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permission()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Permission.ModeEnum` | `getMode()` The mode
    `String` | `getRef()` The reference id of the permission.
    `Boolean` | `getValue()` The value, true if the permission is present.
    `int` | `hashCode()`
    `Permission` | `mode(Permission.ModeEnum mode)`
    `Permission` | `ref(String ref)`
    `void` | `setMode(Permission.ModeEnum mode)`
    `void` | `setRef(String ref)`
    `void` | `setValue(Boolean value)`
    `String` | `toString()`
    `Permission` | `value(Boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_MODE

          public static final String JSON_PROPERTY_MODE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_REF

          public static final String JSON_PROPERTY_REF

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_VALUE

          public static final String JSON_PROPERTY_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Permission

          public Permission()

  - ### Method Detail

    - #### mode

          public Permission mode(Permission.ModeEnum mode)

    - #### getMode

          @Nullable
          public Permission.ModeEnum getMode()

      The mode
      Returns:
        mode

    - #### setMode

          public void setMode(Permission.ModeEnum mode)

    - #### ref

          public Permission ref(String ref)

    - #### getRef

          @Nullable
          public String getRef()

      The reference id of the permission.
      Returns:
        ref

    - #### setRef

          public void setRef(String ref)

    - #### value

          public Permission value(Boolean value)

    - #### getValue

          @Nullable
          public Boolean getValue()

      The value, true if the permission is present.
      Returns:
        value

    - #### setValue

          public void setValue(Boolean value)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.